<?php

/*
 * Copyright (C) xgcms.com
 */

// 调试模式: 1 打开，0 关闭
define('DEBUG',0);
define('POST_PATH', str_replace('\\', '/', substr(__FILE__, 0, -15)));
define('FRAMEWORK_PATH', POST_PATH.'core/xiunophp/');

// 加载应用的配置文件
$conf = include POST_PATH.'conf/conf.php';
$adminconf = include POST_PATH.'admin/conf/conf.php';
$conf = array_merge($conf, $adminconf);

// 临时目录
define('FRAMEWORK_TMP_PATH', $conf['tmp_path']);

// 日志目录
define('FRAMEWORK_LOG_PATH', $conf['log_path']);

include FRAMEWORK_PATH.'core.php';
core::init();
core::ob_start();
core::run($conf);
// 完毕

?>